Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 249614 - Review Request: x11iraf - X utilities for IRAF (Image Reduction Analysis Facility)
Summary: Review Request: x11iraf - X utilities for IRAF (Image Reduction Analysis Faci...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-07-25 19:07 UTC by Sergio Pascual
Modified: 2008-02-09 15:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-09 15:31:03 UTC


Attachments (Terms of Use)
Copyright of x11iraf (deleted)
2007-10-22 20:48 UTC, Sergio Pascual
no flags Details

Description Sergio Pascual 2007-07-25 19:07:04 UTC
Spec URL: http://sergiopr.fedorapeople.org/x11iraf.spec
SRPM URL: http://sergiopr.fedorapeople.org/x11iraf-1.5-0.4.DEV.fc6.src.rpm
Description: The X11IRAF project provides GUI applications for IRAF (Image Reduction Analysis Facility). XGterm provides a Tek 4012 compatible graphics terminal emulation plus a datastream driven widget server capability. XTapemon is a conventional Xt/Athena application which allows the status of an IRAF 
tape job to be monitored.

Comment 1 Mamoru TASAKA 2007-10-21 07:54:45 UTC
* What I always cannot find out is under what license x11iraf
  is released. Would you please verify?

* I just tried to rebuild but it failed.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=203879

Comment 2 Sergio Pascual 2007-10-22 20:48:16 UTC
I asked in the iraf.net forum about the xiraf license. Here is the thread:
http://iraf.net/phpBB2/viewtopic.php?t=86447&highlight=fedora

Basically, xiraf is covered under the iraf license, that I attach here. I asked
them to include the copyright file in the net release.


Comment 3 Sergio Pascual 2007-10-22 20:48:53 UTC
Created attachment 234441 [details]
Copyright of x11iraf

Comment 4 Sergio Pascual 2007-10-22 20:50:07 UTC
I asked in the iraf.net forum about the xiraf license. Here is the thread:
http://iraf.net/phpBB2/viewtopic.php?t=86447&highlight=fedora

Basically, xiraf is covered under the iraf license, that I attach here. I asked
them to include the copyright file in the net release.


Comment 5 Mamoru TASAKA 2007-10-23 02:47:51 UTC
(In reply to comment #3)
> Created an attachment (id=234441) [edit]
> Copyright of x11iraf

This is MIT, acceptable, would you fix the build failure first?


Comment 6 Sergio Pascual 2007-10-28 21:01:16 UTC
I can't get to reproduce the failure. I have built it in mock for i386 and
x86_64. Could it be a problem with ppc?

Comment 7 Mamoru TASAKA 2007-10-29 14:54:54 UTC
Well, I tried i386 x86_64 ppc ppc64 and only ppc build fails.

ppc:
http://koji.fedoraproject.org/koji/taskinfo?taskID=218341
i386:
http://koji.fedoraproject.org/koji/taskinfo?taskID=218338

build.log differs at the beginning between i386 and ppc at below:
--------------------------------------------------------------
 + mkdir -p app-defaults
 make  arch      X11IRAFDIR=$PWD
 make[1]: Entering directory `/builddir/build/BUILD/x11iraf-1.5'
-Configuring X11IRAF for redhat...
-Restore archived redhat objects...
+Configuring X11IRAF for linuxppc...
+Restore archived linuxppc objects...
 No object archive found; full sysgen will be needed.
----------------------------------------------------------------
So perhaps resize file are created under different directory.

The related points are perhaps in mkarch file.
----------------------------------------------------------------
    40      case linux:
    41          if (`$uname_cmd -m` == "ppc") then
    42               set mach = "linuxppc"
    43          else
    44              if (-f /etc/redhat-release) then
    45                  set mach = "redhat"
    46              else if (-f /etc/SuSE-release) then
    47                  set mach = "suse"
    48              else
    49                  set mach = "linux"
    50              endif
    51          endif
    52          breaksw
----------------------------------------------------------------

Comment 8 Mamoru TASAKA 2007-10-29 15:37:15 UTC
Well, for 1.5-0.4:

* ppc build issue
  - Please fix ppc build

* On description section:
  - Please specify full URL for Source0
  - Fix license
    - And include real license text
    - Also write a document which notifies that you have already asked
      upstream about license issue and upstream surely answered that
      this is licensed under MIT.

* Desktop files
  - At least desktop file is needed for xgterm. 

Comment 9 Mamoru TASAKA 2007-10-30 14:41:01 UTC
By the way:
If you don't have ppc machine (I don't have ppc), you can try scratch build
on koji:

$ koji build --scratch <target> <srpm_you_want_to_try>

Currently <target> can be: dist-f9, dist-f8-updates-candidate, or
dist-fc7-updates-candidate.

Comment 10 Sergio Pascual 2007-10-31 16:59:56 UTC
* Well, now it builds in ppc (thnks for the tip)
http://koji.fedoraproject.org/koji/taskinfo?taskID=220167

* The license (COPYRIGHT) and the explanation (README.COPYRIGHT) are now
included. The url in Source0 is also included

* I have added a desktop file for xgterm

Spec URL: http://sergiopr.fedorapeople.org/x11iraf.spec
SRPM URL: http://sergiopr.fedorapeople.org/x11iraf-1.5-0.4.DEV.fc6.src.rpm

Comment 11 Sergio Pascual 2007-10-31 17:02:39 UTC
Upss, the source rpm is
http://sergiopr.fedorapeople.org/x11iraf-1.5-0.5.DEV.fc7.src.rpm

Comment 12 Mamoru TASAKA 2007-10-31 18:43:49 UTC
Now I checked the whole source codes.
This time I checked only license issue and have not checked
any packaging issue yet.

* License issue
  - The licenses of the following codes are very problematic
    and cannot be accepted for Fedora _IMO_.
----------------------------------------------------------------
./obm-deep/ObmW/HTML.c
./obm-deep/ObmW/HTML.h
... and some other files under ./obm-deep/ObmW/
... and similar files under ./obm/ObmW/

./obm/ObmW/Table.c
./obm/ObmW/Table.h
... and some other files under ./obm/ObmW
----------------------------------------------------------------


  - Other licenses
    - The following has zlib/libpng license:
----------------------------------------------------------------
./obm-deep/Tcl/regexp.c
./obm/Tcl/regexp.c
----------------------------------------------------------------

    - Many TCL related files are licensed under TCL.

Comment 13 Mamoru TASAKA 2007-10-31 19:15:35 UTC
Setting FE-legal

Comment 14 Tom "spot" Callaway 2007-10-31 19:36:21 UTC
(In reply to comment #12)
> Now I checked the whole source codes.
> This time I checked only license issue and have not checked
> any packaging issue yet.
> 
> * License issue
>   - The licenses of the following codes are very problematic
>     and cannot be accepted for Fedora _IMO_.
> ----------------------------------------------------------------
> ./obm-deep/ObmW/HTML.c
> ./obm-deep/ObmW/HTML.h
> ... and some other files under ./obm-deep/ObmW/
> ... and similar files under ./obm/ObmW/
> 
> ./obm/ObmW/Table.c
> ./obm/ObmW/Table.h
> ... and some other files under ./obm/ObmW

Yes, these files are under a license with commercial use restrictions,
accordingly, it is non-free and not permissable for Fedora.

You should make an attempt to contact the copyright holder (looks like it is
UIUC) and see if they will relicense that code.

Sorry. :/


Comment 15 Marek Mahut 2007-11-25 22:37:45 UTC
I've mailed Mr. Romanovski, I'm hoping he will help us.

Comment 16 Marek Mahut 2008-02-03 13:38:50 UTC
No response at all :((

Comment 17 Sergio Pascual 2008-02-09 13:13:08 UTC
I think we can close the bug report. xgterm is not needed to run Iraf and I'm
not interested in this package anymore

Comment 18 Mamoru TASAKA 2008-02-09 15:31:03 UTC
Okay. Then once closing.
If you got interested again, please feel free to open a new review
request and mark this bug as a duplicate of the new one.


Note You need to log in before you can comment on or make changes to this bug.